curl --location --request PUT 'https://api.getmetal.io/v1/indexes/test-index-id' \
--header 'Content-Type: application/json' \
--header 'x-metal-api-key: <api-key>' \
--header 'x-metal-client-id: <client-id>' \
--data-raw '{
"status": "DEACTIVATING"
}'
{
"data": {
"id": "1",
"createdAt": "2023-08-23T22:13:31.539Z",
"status": "DEACTIVATING",
"name": "Ozzy Osbourne",
"model": "text-embedding-ada-002",
"dimensions": 1536,
"filters": [
{
"field": "name",
"type": "string"
},
{
"field": "age",
"type": "number"
}
],
"chunkConfig": {
"size": 500,
"overlap": 20
},
"tableChunkConfig": {
"size": 4000
},
"counts": {
"docs": 0,
}
}
}
🔗 Indexes
Update Index
This endpoint updates an index.
PUT
/
v1
/
indexes
/
{indexId}
curl --location --request PUT 'https://api.getmetal.io/v1/indexes/test-index-id' \
--header 'Content-Type: application/json' \
--header 'x-metal-api-key: <api-key>' \
--header 'x-metal-client-id: <client-id>' \
--data-raw '{
"status": "DEACTIVATING"
}'
{
"data": {
"id": "1",
"createdAt": "2023-08-23T22:13:31.539Z",
"status": "DEACTIVATING",
"name": "Ozzy Osbourne",
"model": "text-embedding-ada-002",
"dimensions": 1536,
"filters": [
{
"field": "name",
"type": "string"
},
{
"field": "age",
"type": "number"
}
],
"chunkConfig": {
"size": 500,
"overlap": 20
},
"tableChunkConfig": {
"size": 4000
},
"counts": {
"docs": 0,
}
}
}
Auth Headers
string
required
An API key for your org.
string
required
A Client ID for your org.
Params
string
required
The Index ID to update
Body
string
required
Status to update the index. Can only be
DEACTIVATING to start the archiving processobject
Response
Index Object
Show properties
Show properties
string
Id of the index
string
Status of the index
string
Name of the index
string
Model used to generate the embeddings
number
Dimensions of the embeddings
object
curl --location --request PUT 'https://api.getmetal.io/v1/indexes/test-index-id' \
--header 'Content-Type: application/json' \
--header 'x-metal-api-key: <api-key>' \
--header 'x-metal-client-id: <client-id>' \
--data-raw '{
"status": "DEACTIVATING"
}'
{
"data": {
"id": "1",
"createdAt": "2023-08-23T22:13:31.539Z",
"status": "DEACTIVATING",
"name": "Ozzy Osbourne",
"model": "text-embedding-ada-002",
"dimensions": 1536,
"filters": [
{
"field": "name",
"type": "string"
},
{
"field": "age",
"type": "number"
}
],
"chunkConfig": {
"size": 500,
"overlap": 20
},
"tableChunkConfig": {
"size": 4000
},
"counts": {
"docs": 0,
}
}
}
⌘I